import 'tmp/arguments.dart';
import "tmp/client.dart" as client;
import "tmp/server.dart" as server;
import "package:unittest/unittest.dart";

void main(){
  var s = new server.StreamBinder(new SL());
  var c = new client.StreamBinder(new CL());
  
  c.addStream(s.stream);
  s.addStream(c.stream);
  
  test("DateTimeの転送のテスト",(){
    c.sendDateTime(new DateTime(2014,1,1));}
  );
  
}

class SL implements server.Listeners{
  void sendDateTimeThen(DateTime dt){
    assert(dt == new DateTime(2014,1,1));
  }
}

class CL implements client.Listeners{
  
}