library not_use_websocket_int_send_client_to_server;

import "package:unittest/unittest.dart";

import 'tmp/server.dart' as server;
import 'tmp/client.dart' as client;

void main(){
  
  var sl = new ServerSideListeners();
  var ssb = new server.StreamBinder(sl);
  
  var cl = new ClientSideListeners();
  var csb = new client.StreamBinder(cl);
  
  ssb.addStream(csb.stream);
  csb.addStream(ssb.stream);
  
  test("1をSendIntする",()=>csb.sendInt(1));
  
}

class ServerSideListeners implements server.Listeners{
  
  void sendIntThen(int i){
    assert(i == 1);
  }
  
}

class ClientSideListeners implements client.Listeners{
  
}