import "tmp/arguments.dart";
import "tmp/server.dart" as server;
import "tmp/client.dart" as client;
import "dart:async";
import "package:unittest/unittest.dart";

void main(){
  
  var ssb = new server.StreamBinder(new SL());
  var csb = new client.StreamBinder(new CL());
  
  csb.addStream(ssb.stream);
  ssb.addStream(csb.stream);
  
  test("四則演算して見るテス",(){
    csb.cul(new TypeA()..num_1 = 10 ..num_2 = 2).then((type_b){
      assert(type_b.add == 12);
      assert(type_b.sub == 8);
      assert(type_b.mul == 20);
      assert(type_b.div == 5);
    });
  });
  
}

class SL implements server.Listeners{
  Future<TypeB>culThen(TypeA data){
    var b = new TypeB()
      ..add = data.num_1 + data.num_2
      ..sub = data.num_1 - data.num_2
      ..mul = data.num_1 * data.num_2
      ..div = (data.num_1 / data.num_2).floor();
    
    return new Future.value(b);
  }
}

class CL implements client.Listeners{
  
}