part of stream_binder;

class _ListenerGenerator {

  StringBuffer _sb = new StringBuffer();

  _ListenerGenerator(EndPoint endpoint) {
    _writeStart();
    endpoint.executes.forEach((execute) => _generateAbstractMethod(execute.method_name, execute.request_type.type_name));
    endpoint.execute_result.forEach((execute) => _generateAbstractResponseMethod(execute.method_name, execute.request_type.type_name, execute.response_type.type_name));
    _writeEnd();

  }

  void _generateAbstractMethod(String method_name, String request_type_name) {
    _sb.writeln("  void ${method_name}Then($request_type_name data);");
  }

  void _generateAbstractResponseMethod(String method_name, String request_type_name, String response_type_name) {
    _sb.writeln("  Future<$response_type_name> ${method_name}Then($request_type_name data);");
  }

  void _writeStart() {
    _sb.writeln("abstract class Listeners{");
  }

  void _writeEnd() {
    _sb.writeln("}");
  }

  String toString() => _sb.toString();

}

