import "package:stream_binder/header_sample.dart";
import "package:stream_binder/stream_binder.dart";

void main() {
  var type_a = new GeneratedType("TypeA", {
    "num1": int_type,
    "num2": int_type
  });
  var type_a_list = new ListType(type_a);
  var type_b = new GeneratedType("TypeB", {
    "type_a": type_a,
    "type_a_list": type_a_list
  });

  var send_b = new Execute("sendB", type_b);
  var arguments_filename = "tmp/arguments.dart";
  var generate_types = [type_a, type_b];
  var generate_converter_types = [type_a, type_a_list, type_b , int_type];
  var server = new EndPoint("tmp/server.dart", serverside_header, [], []);
  var client = new EndPoint("tmp/client.dart", clientside_header, [send_b], []);


  generate(arguments_filename, generate_types, generate_converter_types, server, client);

}
