import "package:unittest/unittest.dart";
import "dart:async";
import "tmp/server.dart" as server;
import "tmp/client.dart" as client;

void main(){
  
  var ssb = new server.StreamBinder(new SL());
  var csb = new client.StreamBinder(new CL());
  
  ssb.addStream(csb.stream);
  csb.addStream(ssb.stream);
  
  test("数値を送ると２倍になって帰ってくる",(){
    csb.sendInt(1).then((i){
      assert(i == 2);
    });
  });
  
}

class SL implements server.Listeners{
  Future<int> sendIntThen(int i){
    return new Future.value(i * 2);
  }
}

class CL implements client.Listeners{
  
}