import "package:stream_binder/header_sample.dart";
import "package:stream_binder/stream_binder.dart";

void main() {
  var type_a = new GeneratedType("TypeA", {
    "num_1": int_type,
    "num_2": int_type
  });

  var type_b = new GeneratedType("TypeB", {
    "add": int_type,
    "sub": int_type,
    "mul": int_type,
    "div": int_type
  });

  var cul = new ExecuteResult("cul", type_a, type_b);

  var server = new EndPoint("tmp/server.dart", serverside_header, [], []);
  var client = new EndPoint("tmp/client.dart", clientside_header, [], [cul]);

  generate("tmp/arguments.dart", [type_a, type_b], [type_a, type_b, int_type], server, client);

}
